# This Spec file was Created by Marco Meijer <marco@mandrivaclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.mandrivaclub.nl


%define name    	gxiso
%define version 	1.5
%define release 	%mkrel 1
%define summary 	A Xbox iso extractor and uploader
%define section 	Games
%define title   	%{name}

Name:           	%{name} 
Summary:        	%{summary}
Version:        	%{version} 
Release:        	%{release} 
Vendor: 		MandrivaClub.nl
URL: 			http://gxiso.berlios.de/
Packager:		%{packager}
License:        	GPL
Group:   		Games

Source0:        	%{name}-%{version}.tar.gz
Source1:		%{name}.desktop

BuildRoot:      	%{_tmppath}/%{name}-%{version}-%{release}-buildroot 
Requires:  		python >= 2.2
Requires:       	libglade2.0
Requires:       	pygtk2.0
Requires:      		pygtk2.0-libglade
Requires:         	unrar
BuildRequires: 		python-devel >= 2.2
BuildRequires: 		gettext-devel

%description
This application is a graphical tool to extract and/or upload xbox iso images to xbox
- xbox has to be started (ahem) and running a FTP server to receive files
- when using avalaunch: disable boost mode and free root space
- if you erase files or destroy your xbox: WE ARE NOT RESPONSIBLE
- USE AT YOU OWN RISK
- do not use with copyrighted material.
- use with this: http://www.pouet.net/prod.php?which=10586
- send feedback: kassoulet gmail com

%prep
rm -rf %{buildroot}
%setup -q -n %{name}-%{version}

%build 

%install

install -d $RPM_BUILD_ROOT%{_bindir}
cat <<EOF >$RPM_BUILD_ROOT%{_bindir}/%{name}
#!/bin/sh
exec %{_datadir}/%{name}/gxiso.py
exit 0
EOF

mkdir -p %{buildroot}/%{_datadir}/%{name}
%__cp src/* %{buildroot}/%{_datadir}/%{name}


mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
install -m644 %{SOURCE1} -D $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

#icons
%define  nameicon src/gxiso.png
mkdir -p -m755 %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 %{nameicon} %{buildroot}/%{_liconsdir}/%{name}.png
convert -scale 32x32 %{nameicon} %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 16x16 %{nameicon} %{buildroot}/%{_miconsdir}/%{name}.png

# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %{buildroot}/%{_menudir}
cat << EOF> %{buildroot}/%{_menudir}/%{name} 
?package(%{name}): \
needs="X11" \
section="%{section}" \
title="gXiso" \
longtitle="%{summary}" \
command="%{_bindir}/%{name}" \
icon="%{name}.png" \
startup_notify="true" \
xdg="true"
EOF

perl -pi -e "s#%{buildroot}##g" %{buildroot}%{_bindir}/gxiso

%post
%{update_desktop_database}
# %update_menus

%postun
%{update_desktop_database}
# %clean_menus

%clean 
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root,0755) 
%doc README TODO NEWS LICENSE ChangeLog
%attr(755,root,root)%{_bindir}/%{name}

%{_datadir}/%{name}/*

%{_menudir}/%{name}

%{_datadir}/applications/%{name}.desktop

%{_iconsdir}/%{name}.png
%{_iconsdir}/large/%{name}.png
%{_iconsdir}/mini/%{name}.png

%changelog 
* Tue Mar 3 2009 Maurizio Dal Magro <mauriziodm@mandrivaclub.be>
- Rebuild for Mandriva 2009.0

* Thu Nov 8 2007 Dal Magro Maurice <maurice@mandrivaclub.nl> 1.5-1mcnl2008.0
- Rebuild for X86_64 Mandriva 2008.0

* Sat May 27 2006 Marco Meijer <marco@mandrivaclub.nl> 1.5-1.2006mcnl
- first mandrivaclub.nl version



 